#include <bits/stdc++.h>
using namespace std;
int main(){
    int n,q,niz[200000],nizb[200000],indeks,medijana;
    cin >> n >> q;
    for(int i=0;i<n;i++){
        cin >> niz[i];
    }
    for(int i=0;i<q;i++){
        cin >> nizb[i];
    }
    sort(niz,niz+n);
    medijana=niz[n/2];
    int lower;
    int upper;
    int krajn;
    int rez;
    for(int i=0;i<q;i++){
        if(nizb[i]==medijana){
            cout << 0 << endl;
            continue;
        }
        lower = lower_bound(niz, niz+n, nizb[i]) - niz;
        if(lower+1>(n/2)+1){
            indeks=lower+1;
            krajn=(indeks-1)*2;
            rez=krajn-n;
            cout << rez << endl;
            continue;
        }
        else{
            upper=upper_bound(niz, niz+n, nizb[i]) - niz;
            indeks=upper;
            if(n%2==0){
                rez=((n/2)+1-indeks)*2-1;
            }
            else{
                rez=((n/2)+1-indeks)*2;
            }
            cout << rez << endl;
            continue;
        }
    }
}